Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[1.22] p. 285 - About validating /etc/sudoers #224

Closed
lustoerk opened this issue Mar 26, 2020 · 1 comment
Closed

[1.22] p. 285 - About validating /etc/sudoers #224

lustoerk opened this issue Mar 26, 2020 · 1 comment

Comments

@lustoerk
Copy link

@lustoerk lustoerk commented Mar 26, 2020

Hey, thanks for your great work and for making it free!

I have one suggestion about page 285:
"validate" can be used for "lineinfile" as well, not just for the "copy" module. You could remove the whole paragraph about "using caution with lineinfile" and just show how validate could be used for both modules.

@geerlingguy
Copy link
Owner

@geerlingguy geerlingguy commented May 13, 2020

@lustoerk - Good catch! I never realized validate could be passed to lineinfile until just now. I thought maybe it was added somewhat recently, but glancing through Ansible's git history, it's been there at least six years!

I'll have this fixed in the next version of the book, 1.23. Thanks again!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

No branches or pull requests

2 participants